# class FileList

#### package js.html

Available on HTML5

An object of this type is returned by the `files` property of the HTML `input` element; this lets you access the list of files selected with the `input type="file"` element. It's also used for a list of files dropped into web content when using the drag and drop API; see the `DataTransfer` object for details on this usage.

Documentation FileList by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/FileList

### Variables

###

`read onlylength:Int`

### Methods

###

`item (index:Int):File`